net.corda.core.utilities

## Class Emoji

- net.corda.core.utilities.Emoji

-     public class Emoji

  A simple wrapper class that contains icons and support for printing them only when we're connected to a terminal.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Emoji` | `INSTANCE` A simple wrapper class that contains icons and support for printing them only when we're connected to a terminal.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBagOfCash()`
    `java.lang.String` | `getBooks()`
    `static java.lang.String` | `getCODE_BAG_OF_CASH()`
    `static java.lang.String` | `getCODE_BOOKS()`
    `static java.lang.String` | `getCODE_COOL_GUY()`
    `static java.lang.String` | `getCODE_DIAMOND()`
    `static java.lang.String` | `getCODE_GREEN_TICK()`
    `static java.lang.String` | `getCODE_LEFT_ARROW()`
    `static java.lang.String` | `getCODE_NEWSPAPER()`
    `static java.lang.String` | `getCODE_NO_ENTRY()`
    `static java.lang.String` | `getCODE_PAPERCLIP()`
    `static java.lang.String` | `getCODE_RIGHT_ARROW()`
    `static java.lang.String` | `getCODE_SANTA_CLAUS()`
    `static java.lang.String` | `getCODE_SKULL_AND_CROSSBONES()`
    `java.lang.String` | `getCoolGuy()`
    `java.lang.String` | `getDiamond()`
    `java.lang.ThreadLocal<java.lang.Object>` | `getEmojiMode()` When non-null, toString() methods are allowed to use emoji in the output as we're going to render them to a sufficiently capable text surface.
    `boolean` | `getHasEmojiTerminal()`
    `java.lang.String` | `getLeftArrow()`
    `java.lang.String` | `getNewspaper()`
    `java.lang.String` | `getPaperclip()`
    `java.lang.String` | `getRightArrow()`
    `java.lang.String` | `getSantaClaus()`
    `<T> T` | `renderIfSupported(kotlin.jvm.functions.Function0<? extends T> body)`
    `java.lang.String` | `renderIfSupported(java.lang.Object obj)`

- - ### Field Detail

    - #### INSTANCE

          public static Emoji INSTANCE

      A simple wrapper class that contains icons and support for printing them only when we're connected to a terminal.

  - ### Method Detail

    - #### getHasEmojiTerminal

          public boolean getHasEmojiTerminal()

    - #### getCODE_SANTA_CLAUS

          public static java.lang.String getCODE_SANTA_CLAUS()

    - #### getCODE_DIAMOND

          public static java.lang.String getCODE_DIAMOND()

    - #### getCODE_BAG_OF_CASH

          public static java.lang.String getCODE_BAG_OF_CASH()

    - #### getCODE_NEWSPAPER

          public static java.lang.String getCODE_NEWSPAPER()

    - #### getCODE_RIGHT_ARROW

          public static java.lang.String getCODE_RIGHT_ARROW()

    - #### getCODE_LEFT_ARROW

          public static java.lang.String getCODE_LEFT_ARROW()

    - #### getCODE_GREEN_TICK

          public static java.lang.String getCODE_GREEN_TICK()

    - #### getCODE_PAPERCLIP

          public static java.lang.String getCODE_PAPERCLIP()

    - #### getCODE_COOL_GUY

          public static java.lang.String getCODE_COOL_GUY()

    - #### getCODE_NO_ENTRY

          public static java.lang.String getCODE_NO_ENTRY()

    - #### getCODE_SKULL_AND_CROSSBONES

          public static java.lang.String getCODE_SKULL_AND_CROSSBONES()

    - #### getCODE_BOOKS

          public static java.lang.String getCODE_BOOKS()

    - #### getEmojiMode

          public java.lang.ThreadLocal<java.lang.Object> getEmojiMode()

      When non-null, toString() methods are allowed to use emoji in the output as we're going to render them to a sufficiently capable text surface.

    - #### getSantaClaus

          public java.lang.String getSantaClaus()

    - #### getDiamond

          public java.lang.String getDiamond()

    - #### getBagOfCash

          public java.lang.String getBagOfCash()

    - #### getNewspaper

          public java.lang.String getNewspaper()

    - #### getRightArrow

          public java.lang.String getRightArrow()

    - #### getLeftArrow

          public java.lang.String getLeftArrow()

    - #### getPaperclip

          public java.lang.String getPaperclip()

    - #### getCoolGuy

          public java.lang.String getCoolGuy()

    - #### getBooks

          public java.lang.String getBooks()

    - #### renderIfSupported

          public <T> T renderIfSupported(kotlin.jvm.functions.Function0<? extends T> body)

    - #### renderIfSupported

          public java.lang.String renderIfSupported(java.lang.Object obj)